% random data base designed to classification evaluation purposes, provided
% in a bnt-slp style ; nodes are binary variables

% please modify any of the following values
Napp = 400;
Ntest = 100;
N = 8;
display = false;

ns = 2 * ones(N,1);
dag = zeros(N,N);
dag(1,5) = 1;
dag(2,5) = 1;
dag(3,5) = 1;
dag(4,5) = 1;
dag(5,7) = 1;
dag(6,7) = 1;
dag(5,8) = 1;

if exist('display','var')==1 && display
    names = cell(1,N);
    for i=1:N
        names{i} = ['E' num2str(i)];
    end%for
    names{5} = 'C';
    draw_graph(dag,names,ones(1,N));
end%if

discrete_nodes = [1:N];
bnet = mk_bnet(dag,ns,discrete_nodes);
for i=1:N
    bnet.CPD{i} = tabular_CPD(bnet,i);
end%for

app = zeros(N,Napp);
for i=1:Napp
    app(:,i) = cell2mat(sample_bnet(bnet));
end%for

test = zeros(N,Ntest);
for i=1:Ntest
    test(:,i) = cell2mat(sample_bnet(bnet));
end%for

cnode = 4;